/*
    Colorbox Core Style:
    The following CSS is consistent between example themes and should not be altered.
*/


/**/
#colorbox, #cboxOverlay, #cboxWrapper{
	position:fixed;
	top: 0;
	left: 0;
	z-index: 9999;
	overflow: hidden;
	-webkit-transform: translate3d(0,0,0);
	background-color: black;
	opacity: 1;
	-webkit-box-shadow: 0px 0px 100px 0px #000000;
	box-shadow: 0px 0px 100px 0px #000000;
	border: black 2px solid;
}

/*opacity affects large image.*/
#cboxWrapper {max-width:none; transition: 1s;background-color: transparent; opacity: 1;}

/*opacity does nothing*/
#cboxOverlay{position:fixed; width:100%; height:100%; background-color: transparent; transition: 1s;}

/**/
#cboxMiddleLeft, #cboxBottomLeft{clear:left;}

/**/
#cboxContent{position:relative;  transition: 1s;}
 			
/**/
#cboxLoadedContent{overflow:auto; -webkit-overflow-scrolling: touch;  transition: 1s;}

/*probably not needed*/
#cboxTitle{margin:0;}

/**/
#cboxLoadingOverlay, #cboxLoadingGraphic{position:absolute; top:0; left:0; width:100%; height:100%; transition: 1s; background-color: transparent;}

/**/
#cboxClose {cursor:pointer;}

/**/
.cboxPhoto{ float: left; margin: auto; border: 0; display: block; max-width: none; -ms-interpolation-mode: bicubic; }

/**/
.cboxIframe{width:100%; height:100%; display:block; border:0; padding:0; margin:0;}

/**/
#colorbox, #cboxContent, #cboxLoadedContent{box-sizing:content-box; -moz-box-sizing:content-box; -webkit-box-sizing:content-box;}



/* 
    User Style:
    Change the following styles to modify the appearance of Colorbox.  They are
    ordered & tabbed in a way that represents the nesting of the generated HTML.
*/


#colorbox{}
	/* Box that contains the image. The margin-top is for the closing "X" I think. opacity=100%*/
    #cboxContent{margin-top:0px; overflow:visible; }
	
		/* not sure where this one is????*/
        .cboxIframe{ background-color: yellow; opacity: 0.5; border: 0px dashed green;  transition: 1s;}
		
		/* */
        #cboxError{padding:50px; border:0px solid yellow; background-color: transparent;}
		
		/* KEEP Affects the actual image that pops up. background-color/image should not be included. Opacity=100% */
        #cboxLoadedContent{}
		
		/* */
  #cboxLoadingGraphic{background:url("/code/colorbox/images/loading.gif") no-repeat center center; }
		
		/* starting point for the box that contains the image popping up (before it resizes)*/
        #cboxLoadingOverlay{ background-color: transparent; opacity: 0; transition: 1s;}
		
		/* not sure where this one is????*/
        #cboxCurrent{position:absolute; top:-22px; right:205px; text-indent:-9999px;  opacity: 0.3; background-color: transparent;}

        /* these elements are buttons, and may need to have additional styles reset to avoid unwanted base styles */
        #cboxClose {/*border:0; padding:0; margin:0; overflow:visible; text-indent:-9999px; width:20px; height:20px; position:absolute; top:-20px; background:url("/code/colorbox/images/controls.png") no-repeat 0 0;*/}
        
       	   /* */
        #cboxClose{background-position:-50px 0px; right:0;}
		/* */
        #cboxClose:hover{background-position:-50px -25px;}
        
